<template>
        <div class="row justify-content-center">
            <div class="col-lg-5 col-md-7">
                <div class="card bg-secondary shadow border-0">
                    <div class="card-body px-lg-5 py-lg-5">
                        <div class="text-center text-muted mb-4">
                            <h2>Log in</h2>
                            <span class="text-danger" v-if="error">{{error}}</span>
                        </div>
                        <form @submit="login">
                            <base-input class="input-group-alternative mb-3"
                                        placeholder="username"
                                        addon-left-icon="ni ni-single-02"
                                        v-model="username">
                            </base-input>

                            <base-input class="input-group-alternative"
                                        placeholder="Password"
                                        type="password"
                                        addon-left-icon="ni ni-lock-circle-open"
                                        v-model="password">
                            </base-input>

                            <div class="text-center">
                                <button class="btn btn-lg btn-primary btn-block" type="submit">Log in</button>
                            </div>
                        </form>
                        
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="col-12 text-center">
                        <router-link to="/register" class="text-light"><small>Register</small></router-link>
                    </div>
                </div>
            </div>
        </div>
</template>
<script>
  export default {
    name: 'login',
    data() {
      return {
        username: '',
        password: '',
        error: ''
      }
    },
    created () {
        this.checkCurrentLogin()
    },
    updated () {
        this.checkCurrentLogin()
    },
    methods : {
        checkCurrentLogin () {
        if (localStorage.token) {
                this.$router.replace(this.$route.query.redirect || '/manage')
            }
        },
        login() {
        if(this.username != "" && this.password != "") {
            this.$http.post('/manage/login',{
            username: this.username,
            password: this.password
        })
        .then(response => {
            //this.message = response.data.message
            this.loginSuccessful(response)
        }).catch(() => this.loginFailed())
        }else{
            this.loginFailed()
            }
        },
        loginSuccessful (req) {
        if (!req.data.token) {
            this.loginFailed()
            return
        }
            localStorage.token = req.data.token
            localStorage.user_id = req.data.user_id
            this.$router.push('/manage')
            this.error = false
        },
        loginFailed () {
            this.error = 'Login failed!'
            delete localStorage.token
        }
    }
  }
</script>
<style>
</style>
